# FUNC_POSIX_MEMALIGN
# --------------
# Is `posix_memalign(&v, sizeof(void *), 1)' properly handled?
# (certain versions of glibc checked the size parameter instead of the
# alignment parameter for being a power of 2 multiple of sizeof(void *))
# If not, does the AC_LIBOBJ thing

AC_DEFUN([FUNC_POSIX_MEMALIGN],
[AC_CACHE_CHECK([for working posix_memalign], cv_func_posix_memalign_working,
[AC_RUN_IFELSE(
[AC_LANG_PROGRAM(
[[#if STDC_HEADERS || HAVE_STDLIB_H
# include <stdlib.h>
#else
int posix_memalign (void **__memptr, size_t __alignment, size_t __size)
#endif
]],
                 [void *v; exit (posix_memalign (&v, sizeof (void *), 1) ? 1 : 0);])],
               [cv_func_posix_memalign_working=yes],
               [cv_func_posix_memalign_working=no],
               [cv_func_posix_memalign_working=no])])
test $ac_cv_func_posix_memalign_working != yes && AC_LIBOBJ([posix_memalign])
])# FUNC_POSIX_MEMALIGN
