#include "../config.h"

/* "Good" version of kill.
   Syntax: kill <signal> <pid>
   Returns 0 if everything went good, something else otherwise.
*/

#include <stdio.h>
#include <stdlib.h>
#include <signal.h>
#include <sys/types.h>

int main(int argc, char **argv){
    int sig;
    pid_t pid;

    if(argc!=3){
        fprintf(stderr, "Usage: %s <signum> <pid>\n\nBasically, a direct interface to kill(2) with minimal input checking.\n", argv[0]);
        return -1;
    }

    sig=atoi(argv[1]);
    pid=atol(argv[2]);
    return kill(pid, sig);
}
