#ifndef DIE_H
#define DIE_H

#include <stdarg.h>

/* Debugging level constants */
#define DEBUG_BLEH 4
#define DEBUG_INFO 3
#define DEBUG_WARN 2
#define DEBUG_ERR  1

/* Set a custom error message */
void set_error(char *fmt, ...);

/* Clear errno, so you don't have to include errno.h just to do that */
void xerrno(void);

/* Print a debugging message. strerror(errno) will automatically be added if it
 * is non-zero, unless the level is DEBUG_BLEH or worse */
void debug(int level, char *fmt, ...) __attribute__ ((format (printf, 2, 3)));
void vdebug(int level, char *fmt, va_list ap) __attribute__ ((format (printf, 2, 0)));

/* Print an error message and exit with nonzero status. strerror(errno) will
 * automatically be added if applicable. */
void die(char *fmt, ...) __attribute__ ((noreturn, format (printf, 1, 2)));
void vdie(char *fmt, va_list ap) __attribute__ ((noreturn, format (printf, 1, 0)));

#endif
