#ifndef FILESTUFF_H
#define FILESTUFF_H

#include "password.h"

/* Combine the path and file into a full path specification. remember to free
 * the returned value. */
char *make_path(char *path, char *file);

/* Load the password list in ~/.wmpasman, returning a new list, or NULL on
 * error. */
PWList load_passwords(void);

/* Save the PWList to ~/.wmpasman, creating appropriate backup files along the
 * way. Returns 0 on success, -1 on error. */
int save_passwords(PWList list);

#endif
