#ifndef GLOBALS_H
#define GLOBALS_H

#include <sys/types.h>
#include <gtk/gtk.h>
#include "password.h"

/* Debug level, any calls to debug() with levels greater than this will result
 * in no output */
extern int debug_level;

/* Number of backups to keep of the password file */
extern int num_backups;

/* Secure memory pools (well, hopefully secure anyway) */
extern char *password_buffer;
extern char *password_edit_buffer;
extern char *passphrase_buffer;
extern char *passphrase_buffer2;

/* Program name string */
extern char *PROGNAME;

/* Files */
extern char *CONF;
extern char *PWFILE;

/* Global password list */
extern int passwords_idx;
extern PWList passwords;

/* Status flag:
 *  0 = not logged in
 *  1 = logged in
 *  2 = logged in and owning selection
 */
extern int status;

/* Whether or not the passwords have been changed */
extern int changed;

/* Selection timeout */
extern int timeout;

/* GTK window */
extern GtkWindow *gtkwin;

/* Clock flags */
extern int clock_flags;

/* Returns 1 if "--help" was detected */
int init_globals(int *argc, char ***argv);

/* Print the global usage options */
void global_usage(int col);

/* Button commands */
extern char *actions[6];

#endif
