#include "config.h"

#include <stdio.h>
#include <gtk/gtk.h>

#include "crypto.h"
#include "globals.h"
#include "filestuff.h"
#include "popup_alert.h"

static void callback(GtkDialog *d, gint arg1, gpointer x){
    switch(arg1){
      case GTK_RESPONSE_YES:
        if(save_passwords(passwords)){
            ErrAlert("Error saving passwords", "Error saving passwords");
            return;
        }
        /* else fallthrough */
      case GTK_RESPONSE_NO:
        crypto_forget_passphrase();
        pwlist_free_all(passwords);
        passwords=NULL;
        status=0;
        changed=0;
        if(gtkwin!=NULL) gtk_widget_destroy(GTK_WIDGET(gtkwin));
        return;

      case GTK_RESPONSE_DELETE_EVENT:
      case GTK_RESPONSE_CANCEL:
      case GTK_RESPONSE_NONE:
        return;

      default:
        {
            char buf[32];
            snprintf(buf, 32, "Unknown response code %d, not forgetting passphrase!", arg1);
            Alert(GTK_MESSAGE_ERROR, "WTF?", buf);
            return;
        }
    }
}

void ForgetPassphrase(void){
    if(status!=0 && changed==1){
        YesNo("Changed not saved!", "Save before forgetting passphrase?", &callback, NULL);
    } else {
        callback(NULL, GTK_RESPONSE_NO, NULL);
    }
}
