#ifndef WMPASMAN_H
#define WMPASMAN_H

#include <signal.h>

#include "globals.h"

/* Default value for the -B option */
#define NUM_BACKUPS 2

/* Default value for the -t option */
#define TIMEOUT 5

/* Default values for the various clock options - symbolic flags are defined
 * in clock.h */
#define CLOCK_FLAGS 0

/* These control how much secure memory is allocated. MAX_PHRASEHASH_LEN is a
 * guess at the maximum key size libmcrypt will allow. MAX_PASSWORD_LEN is the
 * maximum length of any individual password the user can enter (inclugind the
 * trailing \0!). */
#define MAX_PHRASEHASH_LEN 256
#define MAX_PASSWORD_LEN 512

/* Signals to attach the various toggling operations to */
#define SIGBEATS SIGUSR1
#define SIG24HR  SIGUSR2
#define SIGUTC   63
#define SIGDDATE 62


#endif
